<?php
 $jsondatos='{"ap1per":"elsy","nacpai":"Seleccione","sexper":"Femenino","nivel":"Beginner","codcso":"Seleccione","prestd":"Yes","motstd":"Work","clasebaile":"Standard PLUS+5","tipbai":"Salsa","trpavn":"Arrival","tiphpj":"Seleccione","P1":"..","p2":"Yes","p3":"Yes","p4":"Yes","p5":"Yes","p6":"Yes","p7":"Yes","p8":"Yes","p9":"Yes"}';
 $jsoncampos='{"c0":"ap1per","c1":"nacpai","c2":"sexper","c3":"nivel","c4":"codcso","c5":"prestd","c6":"motstd","c7":"clasebaile","c8":"tipbai","c9":"trpavn","c10":"tiphpj","c11":"P1","c12":"p2","c13":"p3","c14":"p4","c15":"p5","c16":"p6","c17":"p7","c18":"p8","c19":"p9"}';
 //,"codcso":"Seleccione","prestd":"Yes","motstd":"Work","clasebaile":"Standard PLUS+5","tipbai":"Salsa","trpavn":"Arrival","tiphpj":"Seleccione","P1":"..","p2":"Yes","p3":"Yes","p4":"Yes","p5":"Yes","p6":"Yes","p7":"Yes","p8":"Yes","p9":"Yes"};
	$dcod = json_decode($jsoncampos);
 			$prop = get_object_vars ( $dcod );
	$ddat = json_decode($jsondatos);
	$pdat = get_object_vars ( $ddat );

	$campo="insert into ".$tabla."(";
	$datos=" values(";
	$j=20;
	$i=0;
	while ($i < $j) {
		if($i>0){
			$campo=$campo.',';
			$datos=$datos.',';
		}	
			$campo= $campo.$prop['c'.$i];
			$datos=$datos.'"'.$pdat[$prop['c'.$i]].'"';
			$i++;
	}
	
	echo $datos;
	echo $campo;


return ;
function getSingleReplaceCombinations($replace, $with, $inHaystack)
{
    $splits = explode($replace, $inHaystack);
    $result = array();
    for ($i = 1, $ix = count($splits); $i < $ix; ++$i) {
        $previous = array_slice($splits, 0, $i);
        $next     = array_slice($splits, $i);
       
        $combine  = array_pop($previous) . $with . array_shift($next);
        $result[] = implode($replace, array_merge($previous, array($combine), $next));
    }
    return $result;
}
var_dump(getSingleReplaceCombinations("a", "x", "aba")); // result as mentioned above

return

// Ejemplo de comentario
$comentario = "<h1>Hola! Buenos dias con todos</h1>";

// Desinfectar e imprimir cadena de comentarios
$limpiacomentario= filter_var($comentario , FILTER_SANITIZE_STRING);
echo $limpiacomentario;

return;

//FILTER_SANITIZE_EMAIL.– Elimina todos los caracteres menos letras, dígitos y !#$%&’*+-=?^_`{|}~@.[]//.

//FILTER_SANITIZE_ENCODED.– String URL-encode, opcionalmente elimina o codifica caracteres especiales.

//FILTER_SANITIZE_NUMBER_INT.– Elimina todos los caracteres excepto dígitos y los signos de suma y resta.

//FILTER_SANITIZE_STRING.- Elimina etiquetas, opcionalmente elimina o codifica caracteres especiales.


$cadena = "tom \"&\" 'Jerry'";
 
//Escapa las comillas dobles
echo htmlspecialchars($cadena, ENT_COMPAT); 
 
//Escapa comillas simples y dobles
echo htmlspecialchars($cadena, ENT_QUOTES); 
 
//No escapa comillas simples y dobles
echo htmlspecialchars($cadena, ENT_NOQUOTES);

return;


$array = array("nomcla"=>"p","obscla"=>"probando enter
probando salto de linea");

   // build query...
   $sql  = "INSERT INTO table";

   // implode keys of $array...
   $sql .= " (`".implode("`, `", array_keys($array))."`)";

   // implode values of $array...
   $sql .= " VALUES ('".implode("', '", $array)."') ";
   
   echo $sql;
   
   function clear ($string) {
	$resultado = htmlspecialchars($cadena,ENT_QUOTES );
	$resultado = str_replace("\ n","<br/>",$resultado );
	return  $resultado ;
}
?>

